:root {
    --black: #000;
    --white: #fff;
    --pink: #FFDAF5;
    --yellow: #FFF7B2;
    --lightblue: #C9F1FF;
    --green: #C9F8BB;
    --blue: blue;
    --main-font: "Ubuntu Sans", sans-serif;
    --goth-font: "UnifrakturMaguntia", cursive;
    --goofy-font: "Comic Sans MS", cursive, sans-serif;
}

body {
    font-family: var(--main-font);
    font-size: 20px;
}

@media screen and (max-width: 650px) {
    body {
        font-size: 18px;
    }
}

a, a:visited {
    color: var(--blue);
}

p {
    margin: 0;
}

ul {
    list-style-type: none;
    padding: 0;
    margin: 0;
}

.header {
    background-color: var(--white);
    display: flex;
    flex-direction: column;
    height: 100px;
    margin: 0;
    padding: 0 10px;
    text-align: center;
    text-decoration: none;
    top: 0;
    z-index: 5;
}

@media screen and (max-width: 650px) {
    .header {
        height: unset;
        padding-bottom: 20px;
    }
}

.header_img {
    max-width: 320px;
}

@media screen and (max-width: 650px) {
    .header_img {
        max-width: 240px;
    }
}

.header_rss {
    width: 20px;
}

@media screen and (max-width: 950px) {
    .header_rss {
        width: 16px;
    }
}

.header_h1 {
    align-items: center;
    display: flex;
    gap: 10px;
    justify-content: center;
    margin: 0;
    text-decoration: none;
}

.header_h2 {
    color: var(--black);
    font-size: 22px;
    font-weight: normal;
    margin: 0;
    text-decoration: none;
}


@media screen and (max-width: 650px) {
    .header_h2 {
        font-size: 18px;
    }
}

.wrapper {
    position: relative;
    margin: 0 auto;
    max-width: 1300px;
}

@media screen and (max-width: 950px) {
    .wrapper {
        display: flex;
        flex-direction: column;
    }
}

.nav {
    display: flex;
    justify-content: space-between;
    position: sticky;
    z-index: 1;
    top: 250px;
    left: 0;
    right: 0;
    overflow-x: hidden;
    padding-left: 200px;
    padding-right: 170px;
}

@media screen and (max-width: 1300px) {
    .nav {
        padding-left: 150px;
        padding-right: 100px;
    }
}

@media screen and (max-width: 1150px) {
    .nav {
        flex-direction: column;
        justify-content: flex-start;
        left: 0;
        padding-left: 50px;
        padding-right: 0;
        top: 15vh;
        width: 200px;
    }
}

@media screen and (max-width: 950px) {
    .nav {
        width: auto;
    }
}

.nav_header {
    margin-bottom: 5px;
}

.nav_left {
    text-align: right;
}

@media screen and (max-width: 1150px) {
    .nav_left {
        margin-bottom: 30px;
    }

    .nav_right {
        text-align: right;
    }
}

.nav_left, .nav_right {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.nav_list___main {
    font-size: 28px;
}

.nav_list___mobile {
    align-items: center;
    align-content: center;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    font-size: 20px;
    gap: 15px;
    justify-content: center;
    margin: 0 auto;
    width: 100%;
}

.nav_link.has-img {
    line-height: 0;
}

.nav_link a {
    font-weight: bold;
    text-decoration: none;
}

.nav_link a:hover {
    text-decoration: underline;
}

.nav_link___email {
    display: flex;
    flex-direction: column;
}

.main {
    display: flex;
    flex-direction: column;
    gap: 20px;
    padding: 0px 10px;
    margin: 0 auto;
    max-width: 550px;
    position: relative;
    top: -280px;
    z-index: 1000;
}

@media screen and (max-width: 1150px) {
    .main {
        padding-left: 220px;
        top: -490px;
    }
}

@media screen and (max-width: 950px) {
    .main {
        padding: 10px;
        padding-bottom: 40px;
        top: 40px;
    }
}

.main_yellow {
    background-color: var(--yellow);
    border: 1px solid var(--black);
    padding: 0 120px 20px 70px;
    position: relative;
}

.main_yellow.main_yellow___home {
    min-height: 230px;
}

@media screen and (max-width: 950px) {
    .main_yellow {
        padding: 0 40px 20px 10px;
    }

    .main_yellow.main_yellow___home {
        min-height: 180px;
    }
}

@media screen and (max-width: 650px) {
    .main_yellow {
        padding: 0 40px 10px 10px;
    }
}

.main_bio {
    padding-top: 40px;
    position: relative;
    z-index: 2;
}

@media screen and (max-width: 950px) {
    .main_bio {
        padding-top: 20px;
    }
}

@media screen and (max-width: 650px) {
    .main_bio {
        max-width: 280px;
        padding-bottom: 10px;
    }
}


.main_pagemelt {
    display: inline;
    padding-left: 10px;
    width: 150px;
}

.selfie {
    position: absolute;
    z-index: 0;
}

.selfie.selfie___books {
    bottom: 10px;
    padding-right: 10px;
    right: 0;
    object-fit: contain;
    height: 230px;
    width: 200px;
}

@media screen and (max-width: 950px) {
    .selfie.selfie___books {
        bottom: 0;
        top: 0;
        padding-right: 0;
        right: 0;
        object-fit: contain;
        height: 180px;
        width: 160px;
    }
}

.main_pink {
    background-color: var(--pink);
    border: 1px solid var(--black);
    padding: 20px;
    margin-top: -1px;
}

.main_pink.main_pink___header,
.main_yellow.main_yellow___header {
    align-items: flex-start;
    display: flex;
    gap: 15px;
    justify-content: center;
    padding: 5px 5px 0 5px;
}

.main_pink.main_pink___header {
    align-items: center;
}

.main_pink.main_pink___header a {
    line-height: .5; /* rss button */
}

.main_pink___updates,
.main_yellow___content {
    padding: 20px;
    margin-top: -1px;
}

.main_pink___content {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.update {
    align-items: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.update_p, .update_date {
    margin: 0 auto 15px;
}

.update_header {
    font-weight: bold;
    margin: 0;
}

.update_img {
    background-color: var(--white);
    padding: 10px;
}

.update_divider {
    margin: 30px 20px;
    text-align: center;
}

/* main socials */

.main_blue {
    background-color: var(--lightblue);
    border: 1px solid var(--black);
    display: flex;
}

.main_blue.main_blue___header {
    align-items: flex-start;
    display: flex;
    justify-content: center;
    padding: 5px 5px 0 5px;
}

.main_socialcolumn {
    align-items: center;
    display: flex;
    flex-direction: column;
}

.main_socialcolumn .neo {
    margin-top: 5px;
}

.main_blue___socials {
    display: flex;
    gap: 10px;
    justify-content: space-around;
    padding: 20px;
    margin-top: -1px;
}

@media screen and (max-width: 650px) {
    .main_blue___socials {
        flex-direction: column;
        gap: 20px;
    }
}

/* green */

.main_green {
    background-color: var(--green);
    border: 1px solid var(--black);
    display: flex;
    padding: 20px;
    margin-top: -1px;
}

.main_green.main_green___header {
    align-items: flex-start;
    display: flex;
    justify-content: center;
    padding: 5px 5px 0 5px;
}


.main_header {
    margin-bottom: 5px;
}

/* text-colors */

.has-white-bg {
    background-color: var(--white);
}

.has-rainbow-text {
    font-size: 22px;
    background-image: linear-gradient(to right, violet, indigo, blue, green, yellow, orange, red);
    color: transparent;
    -webkit-background-clip: text;
    display: inline-block;
}

.update_buttongroup {
    align-items: center;
    display: flex;
    flex-direction: column;
    gap: 5px;
    justify-content: center;
    margin: 0 auto;
    width: 300px;
}

.update_buttongroup a {
  text-decoration: none;
}

.update_button {
  border: 1px solid #7D7D75;
  color: #fff;
  display: grid;
  font-family: "Ubuntu Sans Mono", monospace;
  font-size: 12px;
  grid-template-columns: 1fr 2fr;
  text-transform: uppercase;
}

.update_buttonLeft {
  border: 1px solid #fff;
  padding: 2px 5px;
}

.update_buttonLeft.update_buttonLeft___rss {
  background-color: #FF8148;
}

.update_buttonLeft___archive {
  background-color: #14BBFF;
}

.update_buttonRight {
  background-color: #7D7D75;
  border-bottom: 1px solid #fff;
  border-right: 1px solid #fff;
  border-top: 1px solid #fff;
  padding: 2px 5px;
}

/* link me */

.linkme {
  position: relative;
  margin: 0 auto;
}

.linkme_p {
  margin: 0;
  padding: 0 10px 10px 10px;
}

.linkme_pre {
  background-color: #ECECAE;
  display: inline;
  font-family: monospace;
  font-size: 16px;
}

.linkme_highlight {
    background-color: #ECECAE;
}

.linkme_bubble {
  background-color: #FFFFC5;
  border-radius: 10px;
  color: #000;
  display: grid;
  grid-template-columns: 1.5fr 1fr;
  font-family: Tahoma, Geneva, Verdana, sans-serif;
  padding: 20px 10px 35px 10px;
}

@media screen and (max-width: 650px) {
  .linkme_bubble {
    padding-bottom: 40px;
  }
}

.linkme_bubble.linkme_bubble___single {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

@media screen and (max-width: 1000px) {
  .linkme_bubble {
    display: flex;
    flex-direction: column;
  }
}

.linkme_group {
  align-items: center;
  display: flex;
  gap: 5px;
  margin: 10px 0;
  width: 100%;
}

.linkme_list {
    margin: 0;
    padding: 0;
    padding-left: 40px;
}

.linkme_item {
    margin-top: 10px;
}

.linkme_item:first-of-type {
    margin-top: 0;
}

.linkme_button {
  height: 31px;
}

.linkme_code {
  font-size: 10px;
  white-space: pre-wrap;
  width: 100%;
}

.linkme_triangle {
  width: 0px;
  height: 0px;
  border-style: solid;
  border-width: 0 0px 30px 20px;
  border-color: transparent transparent #FFFFC5 transparent;
  left: 160px;
  position: absolute;
  transform: rotate(180deg);
}

@media screen and (max-width: 1000px) {
  .linkme_triangle {
    left: 195px;
  }
}

.linkme_dunk {
  left: -18px;
  position: absolute;
  bottom: -170px;
}

@media screen and (max-width: 1000px) {
  .linkme_dunk {
    bottom: -110px;
    left: 62px;
    width: 150px;
  }
}

/* fonts */

.has-goth-font {
    font-family: var(--goth-font);
    font-size: 34px;
    font-weight: 400;
    font-style: normal;
}

.has-goofy-font {
    font-family: var(--goofy-font);
    font-weight: bold;
}

@media screen and (max-width: 650px) {
    .has-goofy-font {
        font-size: 18px;
    }
}

.is-small {
    font-size: 15px;
}

.is-large {
    font-size: 28px;
}

.is-bold {
    font-weight: bold;
}

/* spacing */

.has-left-padding {
    padding-left: 35px;
}

.is-stack {
    display: flex;
    flex-direction: column;
}

.is-hidden-desktop {
    display: none;
}

.is-centered {
    text-align: center;
}

@media screen and (max-width: 1150px) {
  .is-hidden-mobile {
    z-index: 2000;
    }
}

@media screen and (max-width: 950px) {
    .is-hidden-desktop {
       display: flex;
    }

    .is-hidden-mobile {
        display: none;
    }
}

